Package org.pushingpixels.flamingo.api.common.icon

# Interface DecoratedResizableIcon.IconDecorator

Enclosing class:
  `DecoratedResizableIcon`

public static interface DecoratedResizableIcon.IconDecorator
Icon decorator interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`paintIconDecoration(Component c, Graphics g, int mainIconX, int mainIconY, int mainIconWidth, int mainIconHeight)`
Paints the icon decoration.

## Method Details

### paintIconDecoration

void paintIconDecoration(Component c, Graphics g, int mainIconX, int mainIconY, int mainIconWidth, int mainIconHeight)
Paints the icon decoration.

Parameters:
  `c` - Component.
  `g` - Graphics context.
  `mainIconX` - X position of main icon painting.
  `mainIconY` - Y position of main icon painting.
  `mainIconWidth` - Width of main icon.
  `mainIconHeight` - Height of main icon.